import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { MonthsPane } from './months-pane';
import { ZoomDirection } from '../util/zoom.animation';
export declare class MonthsViewComponent implements OnChanges {
    private locale;
    zoomDirection: ZoomDirection;
    selectedDate: Date;
    currentDate: Date;
    initialDate: Date;
    yearFormat: string;
    monthLabels: string[];
    readonly dateChange: EventEmitter<Date>;
    readonly headerClick: EventEmitter<Date>;
    panes: Array<MonthsPane>;
    private visiblePaneIndex;
    private selectedMonthNumber;
    private selectedYearTime;
    private currentMonthNumber;
    private currentYearTime;
    constructor(locale: string);
    ngOnChanges(changes: SimpleChanges): void;
    clickHeader(notPanning: boolean): void;
    selectItem(event: MouseEvent, yearDate: Date, notPanning: boolean): void;
    makeItemClasses(month: number, yearDate: Date): string[];
    switchPanes(direction: number): void;
    private initPanes(date);
}
